Component({
  properties: {
    // 标题
    title: {
      type: String,
      value: ''
    },
    // id
    blogId: {
      type: String,
      value: ''
    },
    // 描述
    description: {
      type: String,
      value: ''
    },
    // 分类
    category: {
      type: String,
      value: ''
    },
    // 作者
    author: {
      type: String,
      value: ''
    },
    // 浏览量
    views: {
      type: Number,
      value: 0
    },
    cover: {
      type: String,
      value: 0
    },
    boxShadow: {
      type: String,
      value: 0
    },
    // 封面图列表
    // coverImages: {
    //   type: Array,
    //   value: []
    // }
  },
  data: {
    // 判断是否有封面图
    hasCover: false,
    coverImagesToShow:''
  },
  attached: function() {
    // console.log('id is ' + this.properties.id);
  },
  methods:{
    navToBlogInfo(e){
      var id = e.currentTarget.dataset.id;
      var password = e.currentTarget.dataset.password;
      wx.navigateTo({
        url: '/pages/blog-info/blog-info?id='+id+"&password="+password,
      })
    }
  },
  observers: {
    // 'coverImages': function (coverImages) {
    //   this.setData({
    //     hasCover: coverImages.length > 0
    //   });
    // },
    // 'coverImages': function (coverImages) {
    //   const imagesToShow = coverImages.slice(0, 3); // 只取前三张图片
    //   this.setData({
    //     coverImagesToShow: imagesToShow
    //   });
    // }
  }
});