const Cache = require('../../utils/cache.js');
Page({
  data: {

  },
  onLoad(options) {

  },
  onReady() {

  },
  onShow(){
    this.setNavigationBarColor();
  },
  setNavigationBarColor(){
    const themeColor = Cache.get('themeColor')||'#406Eff';
    const textColor = Cache.get('textColor')||'#ffffff';
    console.log(themeColor)
    wx.setNavigationBarColor({
      frontColor: textColor,
      backgroundColor: themeColor,
      animation: {
        duration: 400,
        timingFunc: 'easeIn'
      }
    })
  },
  onHide() {

  },
  clearAllStorage(){
    Cache.clear();
  },
  onUnload() {

  },
  onPullDownRefresh() {

  },
  onReachBottom() {

  },
  onShareAppMessage() {

  }
})