import base from './base.js';
import request from "./request.js"

const methods =  {
    getData:function(e) {
        return request._get( { url:base.getData ,data:e } )
    },
    getListData:function(id) {
        return request._get( { url:base.getListData,data:id } )
    },
    getInfo:function(id) {
        return request._get( { url:base.getInfo,data:id } )
    },
    getSortslist:function(id) {
        return request._get( { url:base.getSortslist,data:id } )
    },
    getSetting:function(id) {
        return request._get( { url:base.getSetting,data:id } )
    },
    addLike:function(e) {
        return request._post( { url:base.addLike,data:e } )
    },
    UnLike:function(e) {
        return request._post( { url:base.UnLike,data:e } )
    },
    getLikelist:function(e) {
        return request._get( { url:base.getLikelist,data:e } )
    },
    upHeadImg:function(e) {
        return request._post( { url:base.upHeadImg,data:e } )
    },
    addWeb:function(e) {
      return request._post( { url:base.addWeb,data:e } )
  },

}
export default methods;